create or replace package plpdf3_xhtml
authid current_user is
--v5.9
--
/*
Supported tags:
-header
-body
-h1, h2, h3, h4, h5, h6
-p
-b
-i
-u
-span
-sup
-sub
-a
-font
-br
-table, tr, td, th
-ol
-ul
-li
-img
*/

--v4.8.3
procedure init;
--v4.8.0
procedure setTableBorderWidth(
  p_num number
  );
--v4.8.0
procedure setTablePaddingWidth(
  p_num number
  );
--v4.8.0
procedure setListFirstIndent(
  p_num number
  );
--v4.8.0
procedure setListNextIndent(
  p_num number
  );
--v4.8.0
procedure setListIndentHanging(
  p_num number
  );
--v4.9.7
procedure setListTypePcs(
  p_num number
  );
--paragraph print in PDF
procedure p(
  p_paragraph varchar2
  );
--create PDF related paragraph
function crParagraph(
  p_paragraph varchar2
  ) return plpdf3.t_Paragraph;
--v4.8.0
--create DOCX related paragraph
function crParagraphDOCX(
  p_paragraph varchar2
  ) return pls_integer;
--toPdf
procedure toPdf(
  p_src clob,
  p_img_proc varchar2 default null
  );
--v4.8.0
procedure toDocx(
  p_src clob,
  p_img_proc varchar2 default null
  );
--v4.8.0
function splitText(
  p_paragraphs varchar2
  ) return plpdf_type.t_v2longs;
--
end plpdf3_xhtml;
/

